### Method

# Malcontent AppFilterBuilder blocklist_flatpak_ref

since: 0.2.0

#### Declaration [src]

    void
    mct_app_filter_builder_blocklist_flatpak_ref (
      MctAppFilterBuilder* builder,
      const gchar* app_ref
    )

#### Description [src]

Add `app_ref` to the blocklist of flatpak refs in the filter under construction.

The `app_ref` will not be added again if it’s already been added.

Available since: 0.2.0

#### Parameters

`app_ref`

  Type: `const gchar*`

  A flatpak app ref to blocklist.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.